%global commit_s0 b2ea39564523aaa09478ccd00c9ca811c53479c0
%global shortcommit_s0 %(c=%{commit_s0}; echo ${c:0:7})
%global commit_s1 e17d3c8ec5216692efbbe59bbe9801bb7661e07d
%global shortcommit_s1 %(c=%{commit_s1}; echo ${c:0:7})

Name:           tsschecker
Version:        0.0
Release:        1.git%{shortcommit_s0}%{?dist}
Summary:        tsschecker is a powerful tool to check TSS signing status of various devices and iOS versions.

License:        LGPLv3
URL:            https://github.com/tihmstar/tsschecker
Source0:        https://github.com/tihmstar/tsschecker/archive/%{commit_s0}.tar.gz
Source1:        https://github.com/tihmstar/jssy/archive/%{commit_s1}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  systemd

BuildRequires:  libcurl-devel
BuildRequires:  libplist-devel
BuildRequires:  libirecovery-devel
BuildRequires:  openssl-devel
BuildRequires:  libfragmentzip-devel

%description
tsschecker is not only meant to be used to check signing status, but also to explore Apple's TSS servers. By using all of its customization possibilities, you might discover a combination of devices and iOS versions that is now getting signed but wasn't getting signed before. You can use file 'nonces.txt' to save blobs with popular ApNonces.

%prep
%autosetup -n %{name}-%{commit_s0}
autoreconf -fi

tar zxf %{SOURCE1} -C external/jssy --strip 1

%build
%configure
%make_build


%install
%make_install

%files
%license LICENSE
%doc README.md
%doc nonces.txt
%{_bindir}/tsschecker
%{_libdir}/libjssy.a


%changelog
* Fri Aug 30 2019 Carlos Mogas da Silva <r3pek@r3pek.org> - 0.0-1.gitb2ea395
- Initial release
